# Generated from rack-escapee-0.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rack-escapee

Name: rubygem-%{gem_name}
Version: 0.1.1
Release: 1%{?dist}
Summary: log when escaped html tags and entities are rendered
License: MIT
URL: http://github.com/bobbyw/rack-escaped-tags
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(jeweler) >= 1.5.1
# BuildRequires: rubygem(jeweler) < 1.6
# BuildRequires: rubygem(rspec) >= 2.1.0
# BuildRequires: rubygem(rspec) < 2.2
# BuildRequires: rubygem(sinatra) >= 1.0
# BuildRequires: rubygem(sinatra) < 2
BuildArch: noarch

%description
middleware to let you know when escaped html tags are being rendered, so you
can fix them.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/rack-escapee.gemspec
%{gem_instdir}/spec

%changelog
* Wed Apr 20 2022 mockbuilder - 0.1.1-1
- Initial package
